# 项目相关配置
ruoyi:
  # 名称
  name: RuoYi
  # 版本
  version: 3.9.0
  # 版权年份
  copyrightYear: 2025
  # 文件路径 示例（ Windows配置D:/ruoyi/uploadPath，Linux配置 /home/ruoyi/uploadPath）
  profile: D:/ruoyi/uploadPath
  # 获取ip地址开关
  addressEnabled: false
  # 验证码类型 math 数字计算 char 字符验证
  captchaType: math

# 开发环境配置
server:
  # 服务器的HTTP端口，默认为8080
  port: 8080
  servlet:
    # 应用的访问路径
    context-path: /
  tomcat:
    # tomcat的URI编码
    uri-encoding: UTF-8
    # 连接数满后的排队数，默认为100
    accept-count: 1000
    threads:
      # tomcat最大线程数，默认为200
      max: 800
      # Tomcat启动初始化的线程数，默认值10
      min-spare: 100

# 日志配置
logging:
  level:
    com.ruoyi: debug
    org.springframework: warn

# 用户配置
user:
  password:
    # 密码最大错误次数
    maxRetryCount: 5
    # 密码锁定时间（默认10分钟）
    lockTime: 10

# Spring配置
spring:
  # 资源信息
  messages:
    # 国际化资源文件路径
    basename: i18n/messages
  profiles:
    active: druid
  # 文件上传
  servlet:
    multipart:
      # 单个文件大小
      max-file-size: 10MB
      # 设置总上传的文件大小
      max-request-size: 20MB
  # 服务模块
  devtools:
    restart:
      # 热部署开关
      enabled: true
  # redis 配置
  redis:
    # 地址
    host: localhost
    # 端口，默认为6379
    port: 6379
    # 数据库索引
    database: 0
    # 密码
    password:
    # 连接超时时间
    timeout: 10s
    lettuce:
      pool:
        # 连接池中的最小空闲连接
        min-idle: 0
        # 连接池中的最大空闲连接
        max-idle: 8
        # 连接池的最大数据库连接数
        max-active: 8
        # #连接池最大阻塞等待时间（使用负值表示没有限制）
        max-wait: -1ms

# token配置
token:
  # 令牌自定义标识
  header: Authorization
  # 令牌密钥
  secret: abcdefghijklmnopqrstuvwxyz
  # 令牌有效期（默认30分钟）
  expireTime: 1440

# MyBatis配置
mybatis:
  # 搜索指定包别名
  typeAliasesPackage: com.ruoyi.**.domain
  # 配置mapper的扫描，找到所有的mapper.xml映射文件
  mapperLocations: classpath*:mapper/**/*Mapper.xml
  # 加载全局的配置文件
  configLocation: classpath:mybatis/mybatis-config.xml

# PageHelper分页插件
pagehelper:
  helperDialect: mysql
  supportMethodsArguments: true
  params: count=countSql

# Swagger配置
swagger:
  # 是否开启swagger
  enabled: true
  # 请求前缀
  pathMapping: /prod-api

# 防盗链配置
referer:
  # 防盗链开关
  enabled: false
  # 允许的域名列表
  allowed-domains: localhost,127.0.0.1,ruoyi.vip,www.ruoyi.vip

# 防止XSS攻击
xss:
  # 过滤开关
  enabled: true
  # 排除链接（多个用逗号分隔）
  excludes: /system/notice
  # 匹配链接
  urlPatterns: /system/*,/monitor/*,/tool/*
#名学
oss:
  endpoint: oss-cn-beijing.aliyuncs.com
  bucket: mingxuejingbang
  accessKeyId: LTAI5tShe4frXAuHPGMnEjjY
  accessKeySecret: onbNqpaAfdcKU1fygjd2dQqJWPgpN2
  endpointVod: vod.cn-shanghai.aliyuncs.com

#阿里云短信配置
aliyun:
  sms:
    ecardTemplateCode: SMS_248210300
    templateCode: SMS_222545002
    accessKeyId: LTAI5tShe4frXAuHPGMnEjjY
    accessKeySecret: onbNqpaAfdcKU1fygjd2dQqJWPgpN2
    defaultConnectTimeout: 1000
    defaultReadTimeout: 1000
    #300秒
    duration: 300
    #签名
    signName: 单招一卡通
  #耀图
  vod:
    accessKeyId:  LTAI4FpoeE88SWgavcYq5Soq
    accessKeySecret:  ttU7YRLw6Bo3ph57f0m8ACXIwxfzfL
    endpoint: vod.cn-shanghai.aliyuncs.com

# 微信支付配置
wxpay:
  mchid: 1629698256
  key: zhilongsanjiasanzhilongsanjiasan
  mchKey: zhilongsanjiasanzhilongsanjiasan
  apiV3Key: zhilongsanjiasanzhilongsanjiasan
  appId: wx7b9ff116a897456a
  keyPath: /app/art/wxpayCert/
  mchsn: 21925f369f23cdf8ea3a913c541d4239d1bcc8af
  privateKey: "-----BEGIN PRIVATE KEY-----\
MIIEvwIBADANBgkqhkiG9w0BAQEFAASCBKkwggSlAgEAAoIBAQDXX/RVUCmSzv56\
olpGvTTGG55CrZCJbLvQm7ESEtXhloSPVmoC1OoZqK13eP6vqgFr5CPc9V8xDXFr\
g11we7rF2D2VzE6qCBe8+7DP/VdAU9yRqm3GjiLxPENah8+zZq7x9+E3WodygnJr\
eJu053jchpjHKI/jkVYKPi9OuY9mcgz00T0qvZlL28gpR1sGRN2MELXWhMEHvWd/\
7oCTnDSKaHO24h2H60l7W+5lb6AEm8H69LPzZLl55fYsQeZtOVY69dT8pAbb7wJp\
6xCpKl8n+O8vtqck+DySWasQK/wS2WERRJ82dFlfS4ccNwhJSuJPGj/Oi0l+jyFd\
G55exYW3AgMBAAECggEBAMI1LEWhu1s+fAppS65t/qCFVvgZOjQxcEpzmgAKLAL3\
jyERcxaKl237xC/vUvlj+1QmrJAaUnQRAy1Hj4JWj9zHWQEy8dww3/bxnkZu07aV\
6FcRr1tT3/5XsQR5YrkK5sYaF2OqpmiDaFmwr/c4oqt4U1uDH/y8mTEzUcVTXhOp\
LLHoZ1gRea1bgIUAYMEOG5mWAAO45oSf9ZngMwA1+ewMGGagrsCKpeozCT5nPZSU\
ves8UYvL2DdVnDhxx54iRdtpHeXCf3oldqUt/DOsRx6P0CdOh7Q9sXlC0YmX+mpT\
YTw/IynRUKvHwcW6qN7zgfSEwHH9L13KBZUnsZWDdUECgYEA7iPV6V+YReUbiOsO\
+Vcdg4r2SH/8XDWiw29r/vubrFufV+tejazPNIjPo0qvor1vK71zrH+2zepgZflc\
LRhQZlmdkvMPpqS6uMNYeWYa7otzzBuvwQr7uOX+AnMQHNSldULBtpM/+dKcC/5p\
Jrg4L5/zB1sQpQo6LRpnEJyMKwMCgYEA54cKHqomdjw0zXeJWLPEkDTw3kXTK68/\
S/ZavDqi0HcewfTIrSJssnhiIyzWiGc4bZ/G+lEjoJ8pKAhrHNPy3alYkG7XV5nY\
1BZ9YC/trGE6qwA1sCGElObNoN3N2F8H9mmybIg5JRktSniVFjxs5vqsT4l+3U+p\
DGJkZq3twj0CgYEAv5tv0y2KfLqB9CGFU9PnOF8IGH96EstJIcy17VyO/hheVkRY\
ONARjCiEQNOoC94149C0kNfVw0rQs1v28YW9swxp/8G4FxI19tGej1c7VjI4QsMI\
H9/xd+z9+wSPs1LZqkbDTF6gPCdcTT4vZusUsiUVSxbXhqN6+a1jvfbnxPcCgYAS\
NFL+YECP8WHxeeGpwNDGyfLad0EIYUonzeIKhM3CeGtJstaIjnlfewm0XFUt+ne8\
XuDFU9XqTjltNWQ+qwegmC0nhh+WerlKy83l3z7f2/FB+s094RTMpG0speQGjEpS\
/LKTyA4+NYGTJnIKgovJiZI82sHH4viWybG9RRW5vQKBgQCIfKeAITbBuP6sYI5f\
rpQDBIpbokTqehW4rdkSEVltjL9RAZkPuqeAkSJ6VMkHRfqnj8bOIpAQuTu9jO49\
6CqZ1qBFENG2nfB+zNBHDzyE1zmNvMg3P0hD2/ENksfaMCSdSmFZn/8DQ6bosTil\
zPS70hx3sko7wYw//SpB8vpXUA==\
-----END PRIVATE KEY-----"
